
_init:

;pic18f-sramtest.c,33 :: 		void init() {
;pic18f-sramtest.c,35 :: 		TRISA = 0x00;
	CLRF        TRISA+0 
;pic18f-sramtest.c,36 :: 		TRISB = 0x00;
	CLRF        TRISB+0 
;pic18f-sramtest.c,37 :: 		TRISC = 0x00;
	CLRF        TRISC+0 
;pic18f-sramtest.c,38 :: 		TRISE = 0x00;
	CLRF        TRISE+0 
;pic18f-sramtest.c,39 :: 		TRISH = 0x00;
	CLRF        TRISH+0 
;pic18f-sramtest.c,40 :: 		TRISG = 0x00;
	CLRF        TRISG+0 
;pic18f-sramtest.c,41 :: 		TRISJ = 0x00;
	CLRF        TRISJ+0 
;pic18f-sramtest.c,42 :: 		ADCON1.PCFG0 = 1; // all digital
	BSF         ADCON1+0, 0 
;pic18f-sramtest.c,43 :: 		ADCON1.PCFG1 = 1;
	BSF         ADCON1+0, 1 
;pic18f-sramtest.c,44 :: 		ADCON1.PCFG2 = 1;
	BSF         ADCON1+0, 2 
;pic18f-sramtest.c,45 :: 		ADCON1.PCFG3 = 1;
	BSF         ADCON1+0, 3 
;pic18f-sramtest.c,46 :: 		CCP1CON.CCP1M0 = 0; // comparators disabled
	BCF         CCP1CON+0, 0 
;pic18f-sramtest.c,47 :: 		CCP1CON.CCP1M1 = 0;
	BCF         CCP1CON+0, 1 
;pic18f-sramtest.c,48 :: 		CCP1CON.CCP1M2 = 0;
	BCF         CCP1CON+0, 2 
;pic18f-sramtest.c,49 :: 		CCP1CON.CCP1M3 = 0;
	BCF         CCP1CON+0, 3 
;pic18f-sramtest.c,50 :: 		CCP2CON.CCP2M0 = 0; // comparators disabled
	BCF         CCP2CON+0, 0 
;pic18f-sramtest.c,51 :: 		CCP2CON.CCP2M1 = 0;
	BCF         CCP2CON+0, 1 
;pic18f-sramtest.c,52 :: 		CCP2CON.CCP2M2 = 0;
	BCF         CCP2CON+0, 2 
;pic18f-sramtest.c,53 :: 		CCP2CON.CCP2M3 = 0;
	BCF         CCP2CON+0, 3 
;pic18f-sramtest.c,54 :: 		PORTA = 0x00;
	CLRF        PORTA+0 
;pic18f-sramtest.c,55 :: 		PORTE = 0x00;
	CLRF        PORTE+0 
;pic18f-sramtest.c,57 :: 		CE = 1;
	BSF         LATG+0, 0 
;pic18f-sramtest.c,59 :: 		}
L_end_init:
	RETURN      0
; end of _init

_write62256:

;pic18f-sramtest.c,61 :: 		void write62256(unsigned int address, unsigned char inputData) {
;pic18f-sramtest.c,63 :: 		WE = 1;
	BSF         LATJ+0, 5 
;pic18f-sramtest.c,64 :: 		CE = 1;
	BSF         LATG+0, 0 
;pic18f-sramtest.c,65 :: 		OE = 1;
	BSF         LATJ+0, 4 
;pic18f-sramtest.c,67 :: 		ADDR_LOW = (address & 0x00ff); // lower 8-bit address
	MOVLW       255
	ANDWF       FARG_write62256_address+0, 0 
	MOVWF       LATE+0 
;pic18f-sramtest.c,68 :: 		ADDR_HIGH = (address & 0x7f00) >> 8; // upper 8-bit address
	MOVLW       0
	ANDWF       FARG_write62256_address+0, 0 
	MOVWF       R3 
	MOVF        FARG_write62256_address+1, 0 
	ANDLW       127
	MOVWF       R4 
	MOVF        R4, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       LATC+0 
;pic18f-sramtest.c,69 :: 		DATA_TRIS = 0x00; // data is output
	CLRF        TRISH+0 
;pic18f-sramtest.c,71 :: 		CE = 0;
	BCF         LATG+0, 0 
;pic18f-sramtest.c,72 :: 		OE = 0;
	BCF         LATJ+0, 4 
;pic18f-sramtest.c,73 :: 		WE = 0;
	BCF         LATJ+0, 5 
;pic18f-sramtest.c,75 :: 		asm nop   // wait more than 70ns for data to appear in the port
	NOP
;pic18f-sramtest.c,76 :: 		DATA_PORT = inputData;
	MOVF        FARG_write62256_inputData+0, 0 
	MOVWF       PORTH+0 
;pic18f-sramtest.c,78 :: 		OE = 1;
	BSF         LATJ+0, 4 
;pic18f-sramtest.c,79 :: 		WE = 1;
	BSF         LATJ+0, 5 
;pic18f-sramtest.c,80 :: 		CE = 1;
	BSF         LATG+0, 0 
;pic18f-sramtest.c,82 :: 		DATA_PORT = 0x00;
	CLRF        PORTH+0 
;pic18f-sramtest.c,83 :: 		}
L_end_write62256:
	RETURN      0
; end of _write62256

_read62256:

;pic18f-sramtest.c,85 :: 		unsigned char read62256(unsigned int address) {
;pic18f-sramtest.c,89 :: 		WE = 1;
	BSF         LATJ+0, 5 
;pic18f-sramtest.c,90 :: 		CE = 1;
	BSF         LATG+0, 0 
;pic18f-sramtest.c,91 :: 		OE = 1;
	BSF         LATJ+0, 4 
;pic18f-sramtest.c,93 :: 		ADDR_LOW = (address & 0x00ff); // lower 8-bit address
	MOVLW       255
	ANDWF       FARG_read62256_address+0, 0 
	MOVWF       LATE+0 
;pic18f-sramtest.c,94 :: 		ADDR_HIGH = (address & 0x7f00) >> 8; // upper 8-bit address
	MOVLW       0
	ANDWF       FARG_read62256_address+0, 0 
	MOVWF       R3 
	MOVF        FARG_read62256_address+1, 0 
	ANDLW       127
	MOVWF       R4 
	MOVF        R4, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       LATC+0 
;pic18f-sramtest.c,95 :: 		DATA_TRIS = 0xff; // data is input
	MOVLW       255
	MOVWF       TRISH+0 
;pic18f-sramtest.c,97 :: 		CE = 0;
	BCF         LATG+0, 0 
;pic18f-sramtest.c,98 :: 		OE = 0;
	BCF         LATJ+0, 4 
;pic18f-sramtest.c,100 :: 		asm nop  // wait more than 70ns for data to appear in the port
	NOP
;pic18f-sramtest.c,101 :: 		tempData = DATA_PORT;
	MOVF        PORTH+0, 0 
	MOVWF       R5 
;pic18f-sramtest.c,103 :: 		OE = 1;
	BSF         LATJ+0, 4 
;pic18f-sramtest.c,104 :: 		WE = 1;
	BSF         LATJ+0, 5 
;pic18f-sramtest.c,105 :: 		CE = 1;
	BSF         LATG+0, 0 
;pic18f-sramtest.c,107 :: 		return tempData;
	MOVF        R5, 0 
	MOVWF       R0 
;pic18f-sramtest.c,111 :: 		}
L_end_read62256:
	RETURN      0
; end of _read62256

_check62256:

;pic18f-sramtest.c,113 :: 		void check62256() {
;pic18f-sramtest.c,115 :: 		unsigned int i = 0;              // walking one count
	CLRF        check62256_i_L0+0 
	CLRF        check62256_i_L0+1 
	CLRF        check62256_j_L0+0 
	CLRF        check62256_j_L0+1 
;pic18f-sramtest.c,120 :: 		for (i = 0; i < 8; i++)          // dump first 8 bytes of data into the 62256...
	CLRF        check62256_i_L0+0 
	CLRF        check62256_i_L0+1 
L_check622560:
	MOVLW       0
	SUBWF       check62256_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__check6225629
	MOVLW       8
	SUBWF       check62256_i_L0+0, 0 
L__check6225629:
	BTFSC       STATUS+0, 0 
	GOTO        L_check622561
;pic18f-sramtest.c,121 :: 		write62256(i, testData[i]);
	MOVF        check62256_i_L0+0, 0 
	MOVWF       FARG_write62256_address+0 
	MOVF        check62256_i_L0+1, 0 
	MOVWF       FARG_write62256_address+1 
	MOVLW       _testData+0
	ADDWF       check62256_i_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_testData+0)
	ADDWFC      check62256_i_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_write62256_inputData+0 
	CALL        _write62256+0, 0
;pic18f-sramtest.c,120 :: 		for (i = 0; i < 8; i++)          // dump first 8 bytes of data into the 62256...
	INFSNZ      check62256_i_L0+0, 1 
	INCF        check62256_i_L0+1, 1 
;pic18f-sramtest.c,121 :: 		write62256(i, testData[i]);
	GOTO        L_check622560
L_check622561:
;pic18f-sramtest.c,123 :: 		delay_ms(100);
	MOVLW       4
	MOVWF       R11, 0
	MOVLW       44
	MOVWF       R12, 0
	MOVLW       171
	MOVWF       R13, 0
L_check622563:
	DECFSZ      R13, 1, 1
	BRA         L_check622563
	DECFSZ      R12, 1, 1
	BRA         L_check622563
	DECFSZ      R11, 1, 1
	BRA         L_check622563
	NOP
	NOP
;pic18f-sramtest.c,125 :: 		for (i = 0; i < 8; i++) {        // ... and then see whether it returns the same exact data.
	CLRF        check62256_i_L0+0 
	CLRF        check62256_i_L0+1 
L_check622564:
	MOVLW       0
	SUBWF       check62256_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__check6225630
	MOVLW       8
	SUBWF       check62256_i_L0+0, 0 
L__check6225630:
	BTFSC       STATUS+0, 0 
	GOTO        L_check622565
;pic18f-sramtest.c,126 :: 		tempTestData = read62256(i);
	MOVF        check62256_i_L0+0, 0 
	MOVWF       FARG_read62256_address+0 
	MOVF        check62256_i_L0+1, 0 
	MOVWF       FARG_read62256_address+1 
	CALL        _read62256+0, 0
;pic18f-sramtest.c,127 :: 		if (tempTestData != testData[i]) {
	MOVLW       _testData+0
	ADDWF       check62256_i_L0+0, 0 
	MOVWF       FSR2 
	MOVLW       hi_addr(_testData+0)
	ADDWFC      check62256_i_L0+1, 0 
	MOVWF       FSR2H 
	MOVF        R0, 0 
	XORWF       POSTINC2+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_check622567
;pic18f-sramtest.c,128 :: 		Lcd_Out(2, 1, "SRAM Not Present");  // if data returned does not match, halt program, and notify "SRAM not present".
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_pic18f_45sramtest+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_pic18f_45sramtest+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;pic18f-sramtest.c,129 :: 		while (1) {
L_check622568:
;pic18f-sramtest.c,130 :: 		PORTA.RA4 ^= 1;
	BTG         PORTA+0, 4 
;pic18f-sramtest.c,131 :: 		delay_ms(250);
	MOVLW       8
	MOVWF       R11, 0
	MOVLW       238
	MOVWF       R12, 0
	MOVLW       49
	MOVWF       R13, 0
L_check6225610:
	DECFSZ      R13, 1, 1
	BRA         L_check6225610
	DECFSZ      R12, 1, 1
	BRA         L_check6225610
	DECFSZ      R11, 1, 1
	BRA         L_check6225610
;pic18f-sramtest.c,132 :: 		}
	GOTO        L_check622568
;pic18f-sramtest.c,133 :: 		}
L_check622567:
;pic18f-sramtest.c,125 :: 		for (i = 0; i < 8; i++) {        // ... and then see whether it returns the same exact data.
	INFSNZ      check62256_i_L0+0, 1 
	INCF        check62256_i_L0+1, 1 
;pic18f-sramtest.c,134 :: 		}
	GOTO        L_check622564
L_check622565:
;pic18f-sramtest.c,138 :: 		for (j = 0; j < 32768; j++) {      // For all 32768 bytes.
	CLRF        check62256_j_L0+0 
	CLRF        check62256_j_L0+1 
L_check6225611:
	MOVLW       128
	SUBWF       check62256_j_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__check6225631
	MOVLW       0
	SUBWF       check62256_j_L0+0, 0 
L__check6225631:
	BTFSC       STATUS+0, 0 
	GOTO        L_check6225612
;pic18f-sramtest.c,140 :: 		for (i = 0; i < 8; i++) {      // Every iteration shifts one bit to the left
	CLRF        check62256_i_L0+0 
	CLRF        check62256_i_L0+1 
L_check6225614:
	MOVLW       0
	SUBWF       check62256_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__check6225632
	MOVLW       8
	SUBWF       check62256_i_L0+0, 0 
L__check6225632:
	BTFSC       STATUS+0, 0 
	GOTO        L_check6225615
;pic18f-sramtest.c,142 :: 		write62256(j, 1 << i);
	MOVF        check62256_j_L0+0, 0 
	MOVWF       FARG_write62256_address+0 
	MOVF        check62256_j_L0+1, 0 
	MOVWF       FARG_write62256_address+1 
	MOVF        check62256_i_L0+0, 0 
	MOVWF       R0 
	MOVLW       1
	MOVWF       FARG_write62256_inputData+0 
	MOVF        R0, 0 
L__check6225633:
	BZ          L__check6225634
	RLCF        FARG_write62256_inputData+0, 1 
	BCF         FARG_write62256_inputData+0, 0 
	ADDLW       255
	GOTO        L__check6225633
L__check6225634:
	CALL        _write62256+0, 0
;pic18f-sramtest.c,144 :: 		tempTestData = read62256(j);
	MOVF        check62256_j_L0+0, 0 
	MOVWF       FARG_read62256_address+0 
	MOVF        check62256_j_L0+1, 0 
	MOVWF       FARG_read62256_address+1 
	CALL        _read62256+0, 0
;pic18f-sramtest.c,145 :: 		if (tempTestData != (1 << i)) {  // if data from RAM does not match the data from the system
	MOVF        check62256_i_L0+0, 0 
	MOVWF       R1 
	MOVLW       1
	MOVWF       R2 
	MOVLW       0
	MOVWF       R3 
	MOVF        R1, 0 
L__check6225635:
	BZ          L__check6225636
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L__check6225635
L__check6225636:
	MOVLW       0
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__check6225637
	MOVF        R2, 0 
	XORWF       R0, 0 
L__check6225637:
	BTFSC       STATUS+0, 2 
	GOTO        L_check6225617
;pic18f-sramtest.c,146 :: 		Lcd_Cmd(_LCD_CLEAR);         // show address and halt system, notify "SRAM Error"
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;pic18f-sramtest.c,147 :: 		Lcd_Out(1, 1, "SRAM Error");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_pic18f_45sramtest+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_pic18f_45sramtest+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;pic18f-sramtest.c,148 :: 		IntToStr(j, addrErrorTxt);
	MOVF        check62256_j_L0+0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        check62256_j_L0+1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       check62256_addrErrorTxt_L0+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(check62256_addrErrorTxt_L0+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;pic18f-sramtest.c,149 :: 		Lcd_Out(2, 1, addrErrorTxt);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       check62256_addrErrorTxt_L0+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(check62256_addrErrorTxt_L0+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;pic18f-sramtest.c,150 :: 		while (1) {
L_check6225618:
;pic18f-sramtest.c,151 :: 		PORTA.RA5 ^= 1;
	BTG         PORTA+0, 5 
;pic18f-sramtest.c,152 :: 		delay_ms(250);
	MOVLW       8
	MOVWF       R11, 0
	MOVLW       238
	MOVWF       R12, 0
	MOVLW       49
	MOVWF       R13, 0
L_check6225620:
	DECFSZ      R13, 1, 1
	BRA         L_check6225620
	DECFSZ      R12, 1, 1
	BRA         L_check6225620
	DECFSZ      R11, 1, 1
	BRA         L_check6225620
;pic18f-sramtest.c,153 :: 		}
	GOTO        L_check6225618
;pic18f-sramtest.c,155 :: 		}
L_check6225617:
;pic18f-sramtest.c,140 :: 		for (i = 0; i < 8; i++) {      // Every iteration shifts one bit to the left
	INFSNZ      check62256_i_L0+0, 1 
	INCF        check62256_i_L0+1, 1 
;pic18f-sramtest.c,157 :: 		}
	GOTO        L_check6225614
L_check6225615:
;pic18f-sramtest.c,138 :: 		for (j = 0; j < 32768; j++) {      // For all 32768 bytes.
	INFSNZ      check62256_j_L0+0, 1 
	INCF        check62256_j_L0+1, 1 
;pic18f-sramtest.c,159 :: 		}
	GOTO        L_check6225611
L_check6225612:
;pic18f-sramtest.c,161 :: 		}
L_end_check62256:
	RETURN      0
; end of _check62256

_main:

;pic18f-sramtest.c,163 :: 		void main() {
;pic18f-sramtest.c,165 :: 		init();
	CALL        _init+0, 0
;pic18f-sramtest.c,166 :: 		delay_ms(1);
	MOVLW       9
	MOVWF       R12, 0
	MOVLW       28
	MOVWF       R13, 0
L_main21:
	DECFSZ      R13, 1, 1
	BRA         L_main21
	DECFSZ      R12, 1, 1
	BRA         L_main21
	NOP
;pic18f-sramtest.c,167 :: 		Lcd_Init();
	CALL        _Lcd_Init+0, 0
;pic18f-sramtest.c,168 :: 		delay_ms(1);
	MOVLW       9
	MOVWF       R12, 0
	MOVLW       28
	MOVWF       R13, 0
L_main22:
	DECFSZ      R13, 1, 1
	BRA         L_main22
	DECFSZ      R12, 1, 1
	BRA         L_main22
	NOP
;pic18f-sramtest.c,169 :: 		Lcd_Cmd(_LCD_CLEAR); // Clear display.
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;pic18f-sramtest.c,170 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;pic18f-sramtest.c,171 :: 		Lcd_Out(1, 1, "Testing SRAM");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr3_pic18f_45sramtest+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr3_pic18f_45sramtest+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;pic18f-sramtest.c,172 :: 		check62256();
	CALL        _check62256+0, 0
;pic18f-sramtest.c,173 :: 		Lcd_Out(2, 1, "SRAM is OK"); // All pass.
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr4_pic18f_45sramtest+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr4_pic18f_45sramtest+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;pic18f-sramtest.c,174 :: 		PORTA.RA3 = 1;
	BSF         PORTA+0, 3 
;pic18f-sramtest.c,176 :: 		while (1);
L_main23:
	GOTO        L_main23
;pic18f-sramtest.c,178 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
